Bug 503223 - Write script to compare Eclipse JAR files with upstream
Write script to compare Eclipse JAR files with upstream
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks: 503221
  Show dependency treegraph
 
Reported: 2009-05-29 14:10 EDT by Andrew Overholt
Modified: 2012-05-10 16:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 16:50:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2009-05-29 14:10:18 EDT
I'm pretty sure we just follow upstream's MANIFEST.MF/build.properties files so I thought we were good here.  Apparently we're not, though.  See:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=278276

As we're re-doing how we build for Fedora 12, let's re-examine this to avoid odd corner-cases.
Comment 1 Bug Zapper 2009-06-09 12:49:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 MarcH 2009-06-16 04:27:03 EDT
(In reply to comment #0)
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=278276

For the record, this problem has been initially experienced in Fedora version 10


> As we're re-doing how we build for Fedora 12, let's re-examine this to avoid
> odd corner-cases.
Comment 3 Bug Zapper 2010-03-15 08:38:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Admin XMLRPC Client 2010-09-10 13:00:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Alexander Kurtakov 2011-02-18 06:31:27 EST
Is this still true in Fedora 14?
Comment 6 Andrew Overholt 2011-02-18 09:04:08 EST
I unzipped the JARs bundled into ant.ui's lib directory.  All class files are bytecode version 46.0 (Java 1.2) so I think we're good to go here.

I'm going to rename this bug to reflect what needs to happen in an ideal world.  We would like a script that goes through an upstream Eclipse build (see download.eclipse.org/eclipse/downloads) and compares with the JARs in our eclipse-{swt,jdt,rcp,platform,pde} RPMs.  All bytecode levels should match.  Just running `file` on a .class file will show its bytecode level.
Comment 7 Alexander Kurtakov 2011-02-18 09:19:44 EST
Matching bytecode version makes sense for all bundles part of eclipse makes sense but e.g. if we ship with newer lucene that builds newer bytecode version by default we might not even be able to build to the old one.
Comment 8 Andrew Overholt 2011-02-18 09:25:56 EST
I didn't say there weren't edge cases :)
Comment 12 Alexander Kurtakov 2012-05-10 16:50:02 EDT
CLosing the bug as we would never manage to have the exactly same jars hence such script would give us no benefit.

Note You need to log in before you can comment on or make changes to this bug.